Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Exception\GroupNotEmpty Class Reference

Exception thrown if a Content\Type\Group is to be deleted which is not empty. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Exception\GroupNotEmpty:

## Public Member Functions
| __construct ($groupId)
| Creates a new exception for $groupId. More...
Public Member Functions inherited from eZ\Publish\Core\Base\Exceptions\BadStateException
| __construct ($argumentName, $whatIsWrong, Exception $previous=null)
| Generates: "Argument '{$argumentName}' has a bad state: {$whatIsWrong}". More...
Public Member Functions inherited from eZ\Publish\Core\Base\Translatable
| getMessageTemplate ()
| Returns the message template, with placeholders for parameters. More...
| setMessageTemplate ($messageTemplate)
| Injects the message template. More...
| getParameters ()
| Returns a hash map with param placeholder as key and its corresponding value. More...
| setParameters (array $parameters)
| Injects the hash map, with param placeholder as key and its corresponding value. More...
| addParameter ($name, $value)
| Adds a parameter to existing hash map. More...
| addParameters (array $parameters)
| Adds $parameters to existing hash map. More...
| getBaseTranslation ()
| Returns base translation, computed with message template and parameters. More...

## Detailed Description

Exception thrown if a Content\Type\Group is to be deleted which is not empty.

Definition at line 15 of file GroupNotEmpty.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Exception\GroupNotEmpty::__construct | ( |  | $groupId | ) |

Creates a new exception for $groupId.

Parameters

  mixed | $groupId |

Definition at line 22 of file GroupNotEmpty.php.

The documentation for this class was generated from the following file:

- GroupNotEmpty.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.